Разработчики компании Adobe выпустили внеплановые патчи для Windows и macOS версий продуктов Acrobat и Reader, в общей сложности устранив семь уязвимостей, включая критический баг, который мог привести к исполнению произвольного кода.

Наиболее серьезной из исправленных уязвимостей является CVE-2018-12848. Эта проблема связана с записью за границы буфера (out-of-bounds write) и, будучи эксплуатирована, может обернуться выполнением произвольного кода в контексте текущего пользователя.

Другие шесть багов (CVE-2018-12849CVE-2018-12850CVE-2018-12801CVE-2018-12840CVE-2018-12778CVE-2018-12775) уже связаны не с записью, а с чтением (out-of-bounds read), и их эксплуатация приводит к раскрытию и потенциальной утечке информации. Эти проблемы получили статус «важных».

Уязвимости затрагивают Acrobat DC 2018.011.20058 и ранее, Acrobat Reader DC 2018.011.20058 и ранее, Acrobat 2017 2017.011.30099 и ранее, Acrobat Reader 2017 2017.011.30099 и ранее, Acrobat DC 2015.006.30448 а ранее, а также Acrobat Reader DC 2015.006.30448 и ранее.

Напомню, на прошлой неделе, в рамках сентябрьского «вторника обновлений» компания уже устранила ряд проблем в Flash Player и ColdFusion, включая шесть критических. Похоже, что вышедшие теперь патчи попросту не успели закончить в срок, но откладывать их релиз на следующий месяц было слишком рискованно.

Оставить мнение